Bug 200919 - Motif Window Manager (mwm) does not function properly in multiscreen mode
Motif Window Manager (mwm) does not function properly in multiscreen mode
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openmotif (Show other bugs)
4.0
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On: 112466
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 12:14 EDT by Thomas Woerner
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 11:10:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2006-08-01 12:14:39 EDT
+++ This bug was initially created as a clone of Bug #112466 +++

Description of problem:

This problem exists on both Enterprise Server 3.0 and Workstation 
3.0. As previously mentioned, we're having a problem with the Motif 
Window Manager (mwm) that is part of the openmotif-2.2.2-16 package. 
There are two known problems with mwm. First, with the multiscreen 
option enabled, the root menu only appears on the main screen 
when you right click on the root window. This should work on all 
screens. Second, the window decorations are only correct on the main 
screen. When a window (xterm, etc) is displayed on another screen 
(not the main screen), there are no decorations. The attached images 
show both a window on the main screen (correct) and a window on 
another screen (incorrect).   


Version-Release number of selected component (if applicable):

openmotif-2.2.2-16
How reproducible:

Every time.

Steps to Reproduce:
1. Create custom X session and use mwm as window manager.
   (execute mwm with the 'multiscreen' option)
2. Move mouse pointer over to the second screen (:0.1).
3. Right click on the root window.
4. Also, from the main screen, display an xterm onto the second 
screen (xterm -display :0.1 &)
  
Actual results:

When using a right click on the root window of the second screen 
(:0.1) nothing happens. When displaying an xterm onto the second 
screen, the window is missing some of it's decorations. (see 
attachments for example).

Expected results:

When using a right click on the root window of the second screen, the 
mwm root menu should appear (works on main screen :0.0). When 
displaying an xterm on the second screen, the window (and it's 
decorations) should have the same appearance as windows on the main 
screen.


Additional info:

-- Additional comment from trossoma@sbcglobal.net on 2003-12-20 01:51 EST --
Created an attachment (id=96649)
Screenshot of window on main screen (:0.0)

This image shows how a window looks on the main screen, when running mwm. 

-- Additional comment from trossoma@sbcglobal.net on 2003-12-20 01:53 EST --
Created an attachment (id=96650)
Screenshot of window on second screen (:0.1)

This is an image of a window on the second screen (:0.1). The window appearance
should match that of a window on the main screen. (certain decorations are
absent)

-- Additional comment from twoerner@redhat.com on 2004-06-08 12:15 EST --
Please have a look at

http://people.redhat.com/twoerner/SRPMS/3.0E/openmotif-2.2.3-3.RHEL3.src.rpm
http://people.redhat.com/twoerner/RPMS/3.0E/openmotif-2.2.3-3.RHEL3.i386.rpm
http://people.redhat.com/twoerner/RPMS/3.0E/openmotif-devel-2.2.3-3.RHEL3.i386.rpm

it might solve your problem.

-- Additional comment from oabad@capgemini.fr on 2004-06-11 07:50 EST --
There are two bug reports on bugs.motifzone.net for this problem (bugs
1114 et 1200). The associated patches have not been included in
openmotif 2.2.3, but they do solve this problem.
Comment 1 RHEL Product and Program Management 2006-08-18 10:51:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Thomas Woerner 2007-01-23 11:10:01 EST
This bug has already been fixed in 2.2.3-9.RHEL4.1. This is the multiscreen mode
fix.

Note You need to log in before you can comment on or make changes to this bug.